%define _altdata_dir %_datadir/alterator

%define fbi_group _configd

Name: alterator-fbi
Version: 0.13
Release: alt5

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar
Source1: configd.init
Source2: configd.logrotate

Summary: alterator on rails
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 2.9-alt0.12, alterator-http, gettext, alterator-design
Requires(post,preun): service

BuildPreReq: alterator >= 2.9-alt0.29

#temporary hack to fix updates in VE's
Requires: alterator-apt

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
this is an alterator based engine (form based interface) to create a simple form based html interface

%prep
%setup -q

%build

%install
%makeinstall HTMLROOT=%buildroot%_var/www/

mkdir -p %buildroot%_var/run/configd
%__install -Dpm755 %SOURCE1 %buildroot/%_initrddir/configd
%__install -Dpm644 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/configd

%__install -Dpm644 alterator-configd.desktop %buildroot/%_desktopdir/alterator-configd.desktop


%find_lang %name

%pre
/usr/sbin/groupadd -r -f %fbi_group &>/dev/null

%post
%update_menus
%post_service configd

%preun
%preun_service configd

%postun
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/logrotate.d/*
%_initdir/*
%_bindir/*
%_sbindir/*
%_var/run/configd
%_var/www/html/*
%_datadir/alterator/build/*
%_datadir/alterator/layouts/*
%_datadir/alterator/interfaces/*/*
%_alterator_backend2dir/*
%_alterator_backend3dir/*
%_localstatedir/alterator/*
%_desktopdir/*

%changelog
* Wed May 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.13-alt5
- fix menu item name

* Fri May 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.13-alt4
- add desktop file
- improve UI

* Thu May 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.13-alt3
- fix requires for service
- fix support for Konqueror and Safari.

* Fri May 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.13-alt2
- fix ajax submit work with checkbox inputs

* Wed May 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.13-alt1
- fix typo
- move design to separate package

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.12-alt1
- improve error message notification
- rename internal interfaces from fbi to configd
- remove unused functions

* Thu May 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt9
- improve constraints visualization
- improve language CGI: return to refferer, not to /

* Fri Apr 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt8
- improve ajax features
- improve local:a support

* Thu Apr 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt7
- add support for radio buttons

* Tue Apr 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt6
- add CSS rules for select and textarea

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt5
- add Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt4
- another CSS optimizations

* Wed Apr 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt3.1
- hotfix

* Wed Apr 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt3
- little CSS optimization
- rename function to initTitle

* Tue Apr 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.11-alt2
- assign classes to menu items

* Tue Apr 17 2007 Anton Farygin <rider@altlinux.ru> 0.11-alt1
- updated design for server

* Mon Apr 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.10-alt1
- add rss feeds

* Thu Apr 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt18
- require alterator-apt

* Tue Apr 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt17
- rename fbi.layout and fbi-cmdline.layout to configd.layout and configd-cmdline.layout
- form workflow: add support for redirect after get
- submit.js: common library for asyncronyous submit requests
- add progress bar support in forms

* Mon Apr 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt16
- fix <head> generation (was <head> inside <head>)
- add <title> autogeneration if <title> was not defined in module.

* Fri Apr 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt15
- help improvements from kirill@
- improve language selection

* Thu Apr 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt14
- add documentation about alterator

* Tue Apr 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt13
- add 'configurator' script to start web browser with appropriate url

* Mon Apr 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt12
- minor fixes in CSS
- add 'alt' to img

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt11
- help improvements from kirill@

* Wed Mar 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt10
- add documentation for index

* Tue Mar 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt9
- add Ukrainian translation

* Mon Mar 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt8
- improve menu items sorting
- add help subsystem

* Fri Mar 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt7
- add logrotate script

* Thu Mar 22 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt6
- improve message extraction from html
- move css to separate package
- css embedding
- remove requires to webserver

* Wed Mar 21 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt5
- add 'alterator-ref2' special reference (remove old hacks for index)
- use PORT-redirect-GET pattern for 'form' workflow

* Tue Mar 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt4
- fix ajax password
- fix ajax selector
- fix js'ed auto-select
- add translations to js
- translate "redirect" message
- add fbi-stdin layout

* Mon Mar 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt3
- html:exception - optimizations
- restrict access to configd.log
- fix typo (redirect-url -> redirect-template)
- auto join same parameters into array (for multiple select lists)

* Fri Mar 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt2
- improve CGI and FBI error messages
- force guile16 usage
- add xml declaration for async requests

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.9-alt1
- new smart, template based, two-level menu subsystem

* Tue Mar 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.8-alt1
- move language convertion into cgi
- improve ensign interface
- frontends are backends now
- optimization: don't generate menu for async requests
- fix "exclude" constraints visualization

* Mon Mar 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt10
- improve main menu

* Fri Mar 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt9
- CSS improvements
- fix translation package name calculation
- optimize index backend (cache requests)
- add preliminary version of the main menu generation

* Wed Mar 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt8
- pass url args to all subrequests
- more support for -l: new ability to test with local templates
- significantly improve translation engine
- add translations
- remove unused functions
- apply CSS from SOHO Server

* Tue Mar 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt7
- improve 'form' and 'card-index' workflow

* Thu Mar 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt6.1
- turn off debug logfile

* Tue Feb 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt6
- add command line gate to configd service

* Mon Feb 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt5
- remove unused html:field function
- html:select-options - separate values and labels
- constraints visualization: don't mark hidden fields
- improve select_all library
- bugfix: mark only '#t' requires
- index backend: sort items

* Thu Feb 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt4
- init script: add lightweight reload
- automatic top-level menu
- add interface for ensign

* Mon Feb 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt3
- daemonize
- fix socket permissions

* Fri Feb 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- woo-args fix: don't return empty list of the commands

* Thu Feb 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- move ui data to appropriate packages
- install internall backends

* Tue Feb 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- new nut-devices interface
- new feature in form frontend: allow user to define action (new,delete, write by default)
- pass incoming arguments to template backend
- form frontend now can work as a wizard step

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- rename log to logfile

* Mon Jan 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt4
- replace bridge-book with log
- more translations: "alternatives", "control"
- minor bugfixes and improvements

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- more translations

* Fri Jan 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- add support for "label" constraints in card-index engine

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- translate language and country codes to locale names
- fill label value from constraints

* Wed Dec 20 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- optimize asynchronous request
- control template improvements
- auto append meta-information
- resurrect doctype definitions in templates

* Tue Dec 19 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- enable ajax-selector in users
- change layout

* Wed Dec 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- control configurator (demo of auto-list usage)
- add support for the page redirection after apply

* Wed Dec 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- auto-list filler
- second generation of card-index frontend

* Mon Dec 11 2006 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- common.js: add support for xmlhttprequest
- password.js: ajax password widget

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- fbi is an alterator module now
- woo-args return plist now
- rewrite fbi template engine and rename it to frontend	

* Wed Dec 06 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- move common JS code to common.js
- remove name auto concatenation to url
- enable constraints in small-card-index template
- small-card-index: add support for new/write/delete operations

* Mon Dec 04 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt9
- remove unused template samples
- add error message html template
- add small-card-index template

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt8
- use compose from algo library

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- checkboxes, form template: auto translation
- add "exclude" constraint visualization

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- fix plist requires

* Mon Nov 20 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- improve woo functions
- enable constraints
- automatic form interface template

* Thu Nov 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- improve content checks

* Tue Nov 07 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add gettext support

* Fri Nov 03 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add: register-get/post-url feature

* Thu Oct 26 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release

